# AtendeSimplesAPI

API wrapper for Atende Simples API usage.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'atende_simples_api'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install atende_simples_api

## Usage

### Dialer

```ruby
require 'atende_simples_api'

client = AtendeSimplesAPI::V1::Client.new do |config|
  config.token   = '...',
  config.api_uri = '...' # default => https://app.atendesimples.com/api/
end

dial_data = {
	dials: [
		{
			client: {
				name: 'Client name', phones: [{ number: '22 988888888', type: 2 }]
			}
		}
	]
}

AtendeSimplesAPI::V1::Dialer.dial(client, dial_data) # => Returns a Faraday response object
```

## Testing

`ruby test/*`

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

